summaryrefslogtreecommitdiffstats
path: root/netdata-installer.sh
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-06-26 09:28:22 +1000
committerAustin S. Hemmelgarn <austin@netdata.cloud>2020-07-01 09:58:44 -0400
commitd596b2530ab6b36c6cf1f1b294b91d214e230e07 (patch)
tree99d31f6ff42b62c499af0104dc7a563875a1c74f /netdata-installer.sh
parentf8e8e1ee6fbd0253599260c77162f07666f3d076 (diff)
Add first class support for FreeBSD (#9413)
* Add FreeBSD system detection and package manager support * Add suitable package selections for FreeBSD * Add non-interactive mode for pkg * Use gmake to buiold on FreeBSD and --disable-dependency-tracking
Diffstat (limited to 'netdata-installer.sh')
-rwxr-xr-xnetdata-installer.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/netdata-installer.sh b/netdata-installer.sh
index d3d56855da..f5b5ba3241 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -297,6 +297,13 @@ while [ -n "${1}" ]; do
shift 1
done
+make="make"
+# See: https://github.com/netdata/netdata/issues/9163
+if [ "$(uname -s)" = "FreeBSD" ]; then
+ make="gmake"
+ NETDATA_CONFIGURE_OPTIONS="$NETDATA_CONFIGURE_OPTIONS --disable-dependency-tracking"
+fi
+
# replace multiple spaces with a single space
NETDATA_CONFIGURE_OPTIONS="${NETDATA_CONFIGURE_OPTIONS// / }"
@@ -705,12 +712,12 @@ trap - EXIT
# -----------------------------------------------------------------------------
progress "Cleanup compilation directory"
-run make clean
+run $make clean
# -----------------------------------------------------------------------------
progress "Compile netdata"
-run make -j$(find_processors) || exit 1
+run $make -j$(find_processors) || exit 1
# -----------------------------------------------------------------------------
progress "Migrate configuration files for node.d.plugin and charts.d.plugin"
@@ -817,7 +824,7 @@ touch "${NETDATA_PREFIX}/etc/netdata/.installer-cleanup-of-stock-configs-done"
# -----------------------------------------------------------------------------
progress "Install netdata"
-run make install || exit 1
+run $make install || exit 1
# -----------------------------------------------------------------------------
progress "Fix generated files permissions"